【自用】ubuntu20必须安装
GzhiYi · 2021-07-23
系统

前言

最近系统出问题比较多,短短几周我就重装了两回ubuntu。从1804到20,在这里记录一些安装的一些工具,后续快速进行配置开发环境。

chrome

https://www.google.com/chrome/

sudo dpkg -i ***

clash

位于home目录

mkdir clash && cd clash
# 到 https://github.com/Dreamacro/clash/releases 查看最新的clash-linux-amd64版本并替换下面的链接
wget -N --no-check-certificate https://github.com/Dreamacro/clash/releases/download/v1.6.5/clash-linux-amd64-v1.6.5.gz
gunzip clash-linux-amd64-v1.6.5.gz # 解压.gz文件
# 将解压出来的clash-linux-amd64-v1.6.5重命名为clash
chmod +x clash
wget -O config.yaml 【clash托管链接】
# 启动
./clash -d .

打开网络代理设置-有线设置,网络代理-选择手动,填写 HTTP 和 HTTPS 代理为 127.0.0.1:7890 ,填写Socks主机为 127.0.0.1:7891 ,即可启用系统代理。

vscode

https://code.visualstudio.com/

sudo dpkg -i ***

同步github的账号。

FiraCode安装

sudo apt install fonts-firacode

git

sudo apt install git 

nodejs && npm && yarn

sudo apt install nodejs npm

全局安装n用于node的版本管理,如果遇到EACCES问题,参考这个解决办法2021_07_npm-global-EACCES

npm install -g n

需要安装yarn,参考这个 2021_07_yarn-global-install-not-working

oh my zsh

sudo apt install zsh
sh -c "$(curl -fsSL https://raw.github.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"

git flow

sudo apt-get install -y git-flow
如果你对这页内容有疑问,欢迎联系我!
邮箱
GitHub
统计访问量